tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.AffiliationElement

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.AffiliationElement

- All Implemented Interfaces:
    Element
  Enclosing class:
    PubSubModule

      public static class PubSubModule.AffiliationElement
      extends ElementWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AffiliationElement()`
    `AffiliationElement(Element affiliation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Affiliation` | `getAffiliation()`
    `JID` | `getJID()`
    `String` | `getNode()`
    `void` | `setAffiliation(Affiliation affiliation)`
    `void` | `setJID(JID subscriberJID)`
    `void` | `setNode(String nodeName)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AffiliationElement

          public AffiliationElement()
                             throws XMLException

      Throws:
        `XMLException`

    - #### AffiliationElement

          public AffiliationElement(Element affiliation)

  - ### Method Detail

    - #### getAffiliation

          public Affiliation getAffiliation()
                                     throws XMLException

      Throws:
        `XMLException`

    - #### setAffiliation

          public void setAffiliation(Affiliation affiliation)
                              throws XMLException

      Throws:
        `XMLException`

    - #### getJID

          public JID getJID()
                     throws XMLException

      Throws:
        `XMLException`

    - #### setJID

          public void setJID(JID subscriberJID)
                      throws XMLException

      Throws:
        `XMLException`

    - #### getNode

          public String getNode()
                         throws XMLException

      Throws:
        `XMLException`

    - #### setNode

          public void setNode(String nodeName)
                       throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2022 Tigase. All rights reserved.